Package org.apache.maven.scm

## Class ScmRequest

- java.lang.Object
- - org.apache.maven.scm.ScmRequest

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `BlameScmRequest`, `ChangeLogScmRequest`

    public class ScmRequest
    extends java.lang.Object
    implements java.io.Serializable

Base class for SCM wrapped parameters. Unlike `ScmResult`, this is mutable, as its use requires more flexibility when configuring the call.

Most parameters should be stored in `parameters` field, as it makes them easy to pass down to the implementation side.

Methods in descendant classes should perform all neccessary (un)marshalling so that user can work with nice semantic typesafe properties.

Since:
  1.8
Author:
  Petr Kozelka
See Also:
  Serialized Form

### Field Summary

Fields
`protected CommandParameters` `parameters`

### Constructor Summary

Constructors
`ScmRequest()`
`ScmRequest​(ScmRepository scmRepository, ScmFileSet scmFileSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CommandParameters` `getCommandParameters()` Holds all parameter values passed to the implementing part.
`ScmFileSet` `getScmFileSet()`
`ScmRepository` `getScmRepository()`
`void` `setScmFileSet​(ScmFileSet scmFileSet)` The files being processed.
`void` `setScmRepository​(ScmRepository scmRepository)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### parameters

    protected final CommandParameters parameters

### Constructor Detail

#### ScmRequest

    public ScmRequest()

#### ScmRequest

    public ScmRequest​(ScmRepository scmRepository,
                      ScmFileSet scmFileSet)

### Method Detail

#### getScmRepository

    public ScmRepository getScmRepository()

#### setScmRepository

    public void setScmRepository​(ScmRepository scmRepository)

Parameters:
  `scmRepository` - the source control system

#### getScmFileSet

    public ScmFileSet getScmFileSet()

#### setScmFileSet

    public void setScmFileSet​(ScmFileSet scmFileSet)

The files being processed. Implementations can also work with all files from the `ScmFileSet.getBasedir()` downwards.

Parameters:
  `scmFileSet` - working copy and its selected files

#### getCommandParameters

    public CommandParameters getCommandParameters()

Holds all parameter values passed to the implementing part. These parameters are usually translated to commandline options or arguments.

Returns:
  command parameters